picard.sam

## Class SetNmAndUqTags

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.sam.SetNmMdAndUqTags
    - - picard.sam.SetNmAndUqTags

- Deprecated.

      @Deprecated
      public class SetNmAndUqTags
      extends SetNmMdAndUqTags

- - ### Field Summary

    - ### Fields inherited from class picard.sam.SetNmMdAndUqTags

      `INPUT, IS_BISULFITE_SEQUENCE, OUTPUT`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetNmAndUqTags()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class picard.sam.SetNmMdAndUqTags

      `customCommandLineValidation, doWork, main`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetNmAndUqTags

          public SetNmAndUqTags()

      Deprecated.